unit unit_Editor_tutorial;

interface//####################################################################################

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  Tform_editor_tutorial = class(TForm)
    btn_close: TButton;
    btn_Beginner: TButton;
    btn_Advanced: TButton;
    btn_Professional: TButton;
    richtbx_Beginner: TRichEdit;
    richtbx_Advanced: TRichEdit;
    richtbx_Professional: TRichEdit;
    richtbx_Anfaenger: TRichEdit;
    richtbx_Fortgeschrittene: TRichEdit;
    richtbx_Profis: TRichEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btn_closeClick(Sender: TObject);
    procedure btn_BeginnerClick(Sender: TObject);
    procedure btn_AdvancedClick(Sender: TObject);
    procedure btn_ProfessionalClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  form_editor_tutorial: Tform_editor_tutorial;

implementation//###############################################################################
uses unit_Editor;
{$R *.dfm}//###################################################################################

//------------------------------------------------------------------------------ form create
procedure Tform_editor_tutorial.FormCreate(Sender: TObject);
begin
  // set language
    if form_editor.englisch = true then
      begin // English
        form_Editor_Tutorial.Caption := 'Tutorial';
        btn_close.Caption := 'Close';
        btn_Beginner.Caption := 'Beginner';
        btn_Advanced.Caption := 'Advanced';
        btn_Professional.Caption := 'Professional';
        richtbx_Beginner.BringToFront;
      end
    else
      begin // German
        form_Editor_Tutorial.Caption := 'Anleitung';
        btn_close.Caption := 'Schlieen';
        btn_Beginner.Caption := 'Anfnger';
        btn_Advanced.Caption := 'Fortgeschrittene';
        btn_Professional.Caption := 'Profis';
        richtbx_Anfaenger.BringToFront;
      end;
end;//--------------------------------------------------------------------------
//------------------------------------------------------------------------------ form show
procedure Tform_editor_tutorial.FormShow(Sender: TObject);
begin
  // disable drag'n'drop
    form_editor.draggingstatus := 3;
  // disable menu
    form_editor.mnu_Tutorial.enabled := false;
    form_editor.mnu_WelcomeScreen.Enabled := false;
    form_editor.mnu_Autorun.Enabled := false;
    form_editor.mnu_CreateAR.enabled := false;
    form_editor.mnu_Sprache.enabled := false;
end;//--------------------------------------------------------------------------
//------------------------------------------------------------------------------ form close
procedure Tform_editor_tutorial.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  // reenable drag'n'drop
    form_editor.draggingstatus := 0;
  // reenable menu
    form_editor.mnu_Tutorial.enabled := true;
    form_editor.mnu_WelcomeScreen.Enabled := true;
    form_editor.mnu_Autorun.Enabled := true;
    form_editor.mnu_CreateAR.enabled := true;
    form_editor.mnu_Sprache.enabled := true;
end;//--------------------------------------------------------------------------

//#############################################################################################

//------------------------------------------------------------------------------ close
procedure Tform_editor_tutorial.btn_closeClick(Sender: TObject);
begin
  form_editor_tutorial.Close;
end;//--------------------------------------------------------------------------

//------------------------------------------------------------------------------ beginner
procedure Tform_editor_tutorial.btn_BeginnerClick(Sender: TObject);
begin
  if form_editor.englisch = true then
    begin
      richtbx_Beginner.BringToFront;
    end
  else
    begin
      richtbx_Anfaenger.BringToFront;
    end;

  btn_Beginner.Enabled := false;
  btn_Advanced.Enabled := true;
  btn_Professional.Enabled := true;
end;//--------------------------------------------------------------------------
//------------------------------------------------------------------------------ advanced
procedure Tform_editor_tutorial.btn_AdvancedClick(Sender: TObject);
begin
  if form_editor.englisch = true then
    begin
      richtbx_Advanced.BringToFront;
    end
  else
    begin
      richtbx_Fortgeschrittene.BringToFront;
    end;


  btn_Beginner.Enabled := true;
  btn_Advanced.Enabled := false;
  btn_Professional.Enabled := true;
end;//--------------------------------------------------------------------------
//------------------------------------------------------------------------------ professional
procedure Tform_editor_tutorial.btn_ProfessionalClick(Sender: TObject);
begin
  if form_editor.englisch = true then
    begin
      richtbx_Professional.BringToFront;
    end
  else
    begin
      richtbx_Profis.BringToFront;
    end;

  btn_Beginner.Enabled := true;
  btn_Advanced.Enabled := true;
  btn_Professional.Enabled := false;
end;//--------------------------------------------------------------------------

end.//#########################################################################################
